<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:51 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>R-Index (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="../lib/DesktopNotify.html#raiseNotification--">raiseNotification()</a></span> - Method in class lib.<a href="../lib/DesktopNotify.html" title="class in lib">DesktopNotify</a></dt>
<dd>
<div class="block">Raise a notification</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#readEntireFile--">readEntireFile()</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Read bytes from previously opened BufferedReader</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#readLine--">readLine()</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Read a single line from a text file</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#refreshExitTableModel-java.lang.String-">refreshExitTableModel(String)</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Update the table model based on supplied country</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#refreshGuardTableModel--">refreshGuardTableModel()</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Update the guard node table model</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#refreshNodelist-client.TorController-">refreshNodelist(TorController)</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Generate the nodelist</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/Utilities.html#registerWindow--">registerWindow()</a></span> - Static method in class lib.<a href="../lib/Utilities.html" title="class in lib">Utilities</a></dt>
<dd>
<div class="block">Creates a hidden dummy window for registration to various docks/launchers
 Fixes the neverending launching indicator</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#renameFile-java.lang.String-">renameFile(String)</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#renameTo-java.io.File-java.lang.String-">renameTo(File, String)</a></span> - Static method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/GuardNodeDialog.html#RESET">RESET</a></span> - Static variable in class client.<a href="../client/GuardNodeDialog.html" title="class in client">GuardNodeDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/PrefsDialog.html#RESET">RESET</a></span> - Static variable in class client.<a href="../client/PrefsDialog.html" title="class in client">PrefsDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/QuickAddDialog.html#RESET">RESET</a></span> - Static variable in class client.<a href="../client/QuickAddDialog.html" title="class in client">QuickAddDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#resetConf-java.lang.String-">resetConf(String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">reset a tor configuration property</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/OSFunction.html#resetGnome3Pref-java.lang.String-java.lang.String-">resetGnome3Pref(String, String)</a></span> - Static method in class lib.<a href="../lib/OSFunction.html" title="class in lib">OSFunction</a></dt>
<dd>
<div class="block">Reset a gnome3 value to its default.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#resetToDefaults--">resetToDefaults()</a></span> - Method in class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Reset to defaults</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#restoreProxyPrefs-boolean-">restoreProxyPrefs(boolean)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Generic restore of proxy settings, for ease of use</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/NetFunctions.HttpPage.html#retrieveHeader--">retrieveHeader()</a></span> - Method in class lib.<a href="../lib/NetFunctions.HttpPage.html" title="class in lib">NetFunctions.HttpPage</a></dt>
<dd>
<div class="block">Retrieve http header info</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
